Package com.complexible.stardog

# Interface StoredQuery.Builder

Enclosing interface:
  `StoredQuery`

public static interface StoredQuery.Builder
Builder interface for creating instances of StoredQuery.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StoredQuery.Builder`
  `annotations(com.google.common.collect.Multimap<IRI,Value> annotations)`
  `StoredQuery`
  `build()`
  `StoredQuery.Builder`
  `creator(String creator)`
  `StoredQuery.Builder`
  `database(String database)`
  `StoredQuery.Builder`
  `description(String description)`
  `StoredQuery.Builder`
  `name(String name)`
  `StoredQuery.Builder`
  `path(List<String> path)`
  `StoredQuery.Builder`
  `query(String query)`
  `StoredQuery.Builder`
  `reasoning(boolean reasoning)`
  `StoredQuery.Builder`
  `schema(String schema)`
  `StoredQuery.Builder`
  `shared(boolean shared)`
  `StoredQuery.Builder`
  `trigger(boolean trigger)`
  `StoredQuery.Builder`
  `triggerErrorMessage(String errorMessage)`
  `StoredQuery.Builder`
  `triggerLastChange(long lastDataChange)`
  `StoredQuery.Builder`
  `triggerLastRun(long lastRun)`
  `StoredQuery.Builder`
  `triggerLimit(int limit)`
  `StoredQuery.Builder`
  `triggerPayloadType(StoredQuery.TriggerPayloadType payloadType)`
  `StoredQuery.Builder`
  `triggerSchedule(int frequency)`
  `StoredQuery.Builder`
  `triggerTimeout(int timeout)`

- ## Method Details

  - ### name

    StoredQuery.Builder name(String name)

  - ### path

    StoredQuery.Builder path(List<String> path)

  - ### description

    StoredQuery.Builder description(String description)

  - ### query

    StoredQuery.Builder query(String query)

  - ### creator

    StoredQuery.Builder creator(String creator)

  - ### database

    StoredQuery.Builder database(String database)

  - ### shared

    StoredQuery.Builder shared(boolean shared)

  - ### reasoning

    StoredQuery.Builder reasoning(boolean reasoning)

  - ### schema

    StoredQuery.Builder schema(String schema)

  - ### annotations

    StoredQuery.Builder annotations(com.google.common.collect.Multimap<IRI,Value> annotations)

  - ### trigger

    StoredQuery.Builder trigger(boolean trigger)

  - ### triggerLimit

    StoredQuery.Builder triggerLimit(int limit)

  - ### triggerSchedule

    StoredQuery.Builder triggerSchedule(int frequency)

  - ### triggerTimeout

    StoredQuery.Builder triggerTimeout(int timeout)

  - ### triggerLastRun

    StoredQuery.Builder triggerLastRun(long lastRun)

  - ### triggerLastChange

    StoredQuery.Builder triggerLastChange(long lastDataChange)

  - ### triggerErrorMessage

    StoredQuery.Builder triggerErrorMessage(String errorMessage)

  - ### triggerPayloadType

    StoredQuery.Builder triggerPayloadType(StoredQuery.TriggerPayloadType payloadType)

  - ### build

    StoredQuery build()